Migrate Documents Status
curl --request POST \
--url https://api.velt.dev/v2/organizations/documents/migrate/status \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"migrationId": "<string>"
}
}
'import requests
url = "https://api.velt.dev/v2/organizations/documents/migrate/status"
payload = { "data": {
"organizationId": "<string>",
"migrationId": "<string>"
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {organizationId: '<string>', migrationId: '<string>'}})
};
fetch('https://api.velt.dev/v2/organizations/documents/migrate/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Migration status retrieved successfully.",
"data": {
"migrationId": "yourMigrationId",
"status": "completed"
}
}
}
Documents
Migrate Documents Status
POST
/
v2
/
organizations
/
documents
/
migrate
/
status
Migrate Documents Status
Use this API to poll the status of a document migration. Use the
migrationId returned from the Migrate Documents endpoint.
Endpoint
POST https://api.velt.dev/v2/organizations/documents/migrate/status
Headers
string
required
Your API key.
string
required
Your Auth Token.
Body
Params
object
required
Show properties
Show properties
string
required
Organization ID
string
required
Migration ID returned from the Migrate Documents endpoint
Example Requests
Check migration status
{
"data": {
"organizationId": "yourOrganizationId",
"migrationId": "yourMigrationId"
}
}
Response
Success Response
Thestatus field reflects the current state of the migration. Possible values: pending, in_progress, completed, failed.
{
"result": {
"status": "success",
"message": "Migration status retrieved successfully.",
"data": {
"migrationId": "yourMigrationId",
"status": "completed"
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Migration status retrieved successfully.",
"data": {
"migrationId": "yourMigrationId",
"status": "completed"
}
}
}
Was this page helpful?
⌘I

